gallery/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('', views.index), 
]

schedule/urls.py
from django.urls import path, re_path

from . import views

urlpatterns = [
	path('delete/<int:delete_id>/', views.delete, name='delete'),
	path('fill/', views.index, name='index'),
    path('', views.create, name='display'), 
]

websitesaya/urls.py
from django.contrib import admin
from django.urls import path,include

from . import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('gallery/',include('gallery.urls')), 
    path('schedule/',include(('schedule.urls', 'schedule'), namespace="schedule")), 
    path('', views.index),  
]

gallery/models.py
from django.db import models

# Create your models here.

schedule/models.py
from django.db import models

class Schedule_Model(models.Model):
    
    tanggal = models.DateTimeField()
    #jam = models.TimeField()
    nama_kegiatan = models.CharField(max_length=50)
    tempat = models.CharField(max_length=100)
    pilihan_kategori = (
    	('Kuliah', 'Kuliah'),
    	('BEM', 'BEM'),
    	('Kepanitiaan', 'Kepanitiaan'),
    	('Keluarga', 'Keluarga'),
        ('Main', 'Main'),
        ('Lainnya', 'Lainnya'),
    )
    kategori = models.CharField(max_length=15, choices=pilihan_kategori)

    def __str__(self):
        return "{}. {}".format(self.id, self.tanggal)

websitesaya/models.py
from django.db import models

schedule/forms.py
from django import forms
from .models import Schedule_Model

class Schedule_Form(forms.ModelForm):
	class Meta:
		model = Schedule_Model
		fields =[
			'tanggal',
			'nama_kegiatan',
			'tempat',
			'kategori',
		]
		labels ={
			'tanggal': 'Tanggal dan Waktu \n (YYYY-MM-DD HH:MM) ',
		}

	#tanggal = forms.DateField(
	#		widget = forms.DateInput)
	#jam = forms.TimeField()
	#nama_kegiatan = forms.CharField()
	#tempat = forms.CharField()
	#pilihan_kategori = (
	#	('kuliah', 'Kuliah'),
	#	('bem', 'BEM'),
	#	('kepanitiaan', 'Kepanitiaan'),
	#	('keluarga', 'Keluarga'),
	#	('main', 'Main'),
	#	('lainnya', 'Lainnya'),
	#)
	#kategori = forms.ChoiceField(choices=pilihan_kategori)

gallery/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
	return render(request,'gallery/gallerystory3.html')

schedule/views.py
from django.shortcuts import render, redirect

from .forms import Schedule_Form
from .models import Schedule_Model

# Create your views here.
def delete(request, delete_id):
	Schedule_Model.objects.filter(id=delete_id).delete()
	return redirect('schedule:display')

def index(request):
	scheduleform = Schedule_Form(request.POST or None)

	if request.method == 'POST':
		if scheduleform.is_valid():
			scheduleform.save()

			return redirect('schedule:display')

		#Schedule_Model.objects.create(
		#	tanggal			= request.POST['tanggal'],
			#jam				= request.POST['jam'],
		#	nama_kegiatan	= request.POST['nama_kegiatan'],
		#	tempat			= request.POST['tempat'],
		#	kategori		= request.POST['kategori'],
		#)

	context = {
		'data_form': scheduleform,
	}
	return render(request,'schedule/scheduleforms.html', context)

def create(request):
	schedulemodel = Schedule_Model.objects.all()

	context = {
		'judul': 'Jadwal Kegiatan',
		'data_model': schedulemodel,
	}

	return render(request,'schedule/scheduledisplay.html', context)


	

websitesaya/views.py
from django.shortcuts import render

def index(request):
	return render(request,'story4ppw.html')

gallery/templates/gallery/gallerystory3.html
{% load static %}
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href='https://fonts.googleapis.com/css?family=Cabin' rel='stylesheet'>
    <link rel="stylesheet" type="text/css" href="{% static 'css/stylesupdate.css' %}">

    <title>Gallery</title>
  </head>

  <body>
    <div class="topnav" id="myTopnav">
      <a href="/" class="active">Profile</a>
      <a href="/#about">About</a>
      <a href="/#skills">Skills</a>
      <a href="/#education">Education</a>
      <a href="/#experiences">Experiences</a>
      <a href="/#quickid">Quick Id</a>
      <a href="/#contactme">Contact Me</a>
      <a href="/gallery">Gallery</a>
      <a href="/schedule">Schedule</a>
      <a href="javascript:void(0);" class="icon" onclick="myFunction()">
        <i class="fa fa-bars"></i>
      </a>
    </div>

  <script>
  function myFunction() {
      var x = document.getElementById("myTopnav");
      if (x.className === "topnav") {
        x.className += " responsive";
      } else {
        x.className = "topnav";
      }
  }
  </script>

      <div class= gallery>
        <h2 class="title" style="margin-top: 5%">GALLERY.</h2>
        <br>
        <div class="row">
            <div class="col-lg-4 col-md-4 col-sm-12">
                <center><img src="{% static 'img/2.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
            <div class="col-lg-4 col-md-4 col-sm-12">
                <center><img src="{% static 'img/1.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
            <div class="col-lg-4 col-md-4 col-sm-412">
                <center><img src="{% static 'img/3.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
      </div>
      <div class="row">
            <div class="col-lg-4 col-md-4 col-sm-12">
                <center><img src="{% static 'img/4.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
            <div class="col-lg-4 col-md-4 col-sm-12">
                <center><img src="{% static 'img/7.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
            <div class="col-lg-4 col-md-4 col-sm-12">
                <center><img src="{% static 'img/6.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
      </div>
      <div class="row">
            <div class="col-lg-4 col-md-4 col-sm-12">
                <center><img src="{% static 'img/9.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
            <div class="col-lg-4 col-md-4 col-sm-12">
                <center><img src="{% static 'img/8.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
            <div class="col-lg-4 col-md-4 col-sm-12">
                <center><img src="{% static 'img/20.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
      </div>
       <div class="row">
            <div class="col-lg-4 col-md-4 col-sm-12">
                <center><img src="{% static 'img/10.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
            <div class="col-lg-4 col-md-4 col-sm-12">
                <center><img src="{% static 'img/12.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
            <div class="col-lg-4 col-md-4 col-sm-12">
                <center><img src="{% static 'img/13.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
      </div>
      <div class="row">
            <div class="col-lg-4 col-md-4 col-sm-12">
                <center><img src="{% static 'img/14.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
            <div class="col-lg-4 col-md-4 col-sm-12">
                <center><img src="{% static 'img/15.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
            <div class="col-lg-4 col-md-4 col-sm-12">
                <center><img src="{% static 'img/16.jpg'%}" style="width: 80%; height: 90%; padding-top: 5%; padding-bottom: 5%"></center>
            </div>
      </div>

  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
  </body>
</html>

schedule/templates/schedule/scheduledisplay.html
{% load static %}
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href='https://fonts.googleapis.com/css?family=Cabin' rel='stylesheet'>
    <link rel="stylesheet" type="text/css" href="{% static 'css/stylesupdate.css' %}">

    <title>Schedule</title>
  </head>

  <body style="background-color: #BBC8DD">
    <div class="topnav" id="myTopnav">
      <a href="/" class="active">Profile</a>
      <a href="/#about">About</a>
      <a href="/#skills">Skills</a>
      <a href="/#education">Education</a>
      <a href="/#experiences">Experiences</a>
      <a href="/#quickid">Quick Id</a>
      <a href="/#contactme">Contact Me</a>
      <a href="/gallery">Gallery</a>
      <a href="/schedule">Schedule</a>
      <a href="javascript:void(0);" class="icon" onclick="myFunction()">
        <i class="fa fa-bars"></i>
      </a>
    </div>
    <br><br>
    <center><strong><h1 style="font-family: Cabin; font-size: 50px;">{{ judul }}</h1></strong></center>
    <br>
    <table class="table" style="font-family: Cabin; font-size: 25px;">
        <thead class="thead-dark">
            <tr>
              <th scope="col">Nomor</th>
              <th scope="col">Tanggal dan Waktu</th>
              <th scope="col">Nama Kegiatan</th>
              <th scope="col">Tempat</th>
              <th scope="col">Kategori</th>
              <th scope="col">Hapus</th>
            </tr>
        </thead>
        <tbody>
            {% for data in data_model %}
            <tr>
              <th scope="row">{{forloop.counter}}</th>
              <td>{{ data.tanggal }}</td>
              <td>{{ data.nama_kegiatan }}</td>
              <td>{{ data.tempat }}</td>
              <td>{{ data.kategori }}</td>
              <td><a class="btn btn-danger" href="{% url 'schedule:delete' data.id %}">Delete</a></td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
    <a class="btn btn-primary" href="/schedule/fill">Add</a>
  </body>

schedule/templates/schedule/scheduleforms.html
{% load static %}
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href='https://fonts.googleapis.com/css?family=Cabin' rel='stylesheet'>
    <link rel="stylesheet" type="text/css" href="{% static 'css/stylesupdate.css' %}">

    <title>Schedule</title>
  </head>

  <body style="background-color: #BBC8DD">
    <div class="topnav" id="myTopnav">
      <a href="/" class="active">Profile</a>
      <a href="/#about">About</a>
      <a href="/#skills">Skills</a>
      <a href="/#education">Education</a>
      <a href="/#experiences">Experiences</a>
      <a href="/#quickid">Quick Id</a>
      <a href="/#contactme">Contact Me</a>
      <a href="/gallery">Gallery</a>
      <a href="/schedule">Schedule</a>
      <a href="javascript:void(0);" class="icon" onclick="myFunction()">
        <i class="fa fa-bars"></i>
      </a>
    </div>
    <br><br>
    <center><strong><h1 style="font-family: Cabin;font-size: 50px;">Isi Jadwal Kegiatan</h1></strong></center>
    <br>
    <center><form method="post">
        {% csrf_token %}
        <table style="font-family: Cabin;font-size: 25px;">
            {{ data_form.as_table }}
        </table>
        <button type="Submit" style="font-family: Cabin; font-size: 25px">Submit</button>
    </form></center>
  </body>